<script>
    import { sendMessage } from "../../store";
    let channel_selection = '17';
    function export_to_wav() {
        console.log("Channel to export to WAV: ", channel_selection);
        sendMessage({
            type: "wav",
            export: channel_selection
        })
    }
</script>

<h2>Select a channel to export to WAV</h2>

<input type="text" placeholder={channel_selection} bind:value={channel_selection}/>
<button type="button"
    class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm text-center inline-flex items-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800"
    on:click={export_to_wav}>
    Export to WAV
</button>

<style>
h2 {
    font-size: x-large;
}


</style>